Bug 189627 - Cancelling OQL query doesn't stop the background computation
Cancelling OQL query doesn't stop the background computation
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
PC Linux
: P2 (vote)
: 7.0
Assigned To: issues@profiler
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-18 10:54 UTC by J Bachorik
Modified: 2011-02-24 16:05 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description J Bachorik 2010-08-18 10:54:04 UTC
Cancelling OQL query leaves the background computation thread running while pretending the query has been cancelled. This can lead to unnecessary CPU load slowing down the user system as well as the IDE.
Comment 1 J Bachorik 2010-08-18 14:42:02 UTC
fixed in http://hg.netbeans.org/profiler-main/rev/ce7604b3ca10
Comment 2 Quality Engineering 2010-08-25 03:24:14 UTC
Integrated into 'main-golden', will be available in build *201008250001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/86a6913131fd
User: Jaroslav Bachorik <yardus@netbeans.org>
Log: #189627: Cancelling OQL query doesn't stop the background computation


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo